Subject: bug#6176: [PATCH 1/2] sort: add a --debug option to highlight key extents

From: Pádraig Brady <[email-masked]>
Date: Wed, 12 May 2010 15:13:21 +0100

On 12/05/10 12:08, Jim Meyering wrote:
> Pádraig Brady wrote:
>> The attached patch allows one to:
>>
>> $ printf "one 2 3e3e" | .sort --debug -k3,3g -k2,2
>> one 2 3e3e
>>       ___
>>    __
>> __________
> 
> Nice.  Thanks for writing all of that.
> These changes are sure to be useful.
> 
> I have merely glanced through them (look fine so far),
> but would not mind at all if you were to push the series as-is.

I pushed the first, and I then pushed the following
to fix a test failure pointed out by our continuous integration box
http://hydra.nixos.org/jobset/gnu/coreutils-master

I'll probably push patch 2 tomorrow.

cheers,
Pádraig.

diff --git a/tests/misc/sort-debug-keys b/tests/misc/sort-debug-keys
index 0437678..0f05025 100755
--- a/tests/misc/sort-debug-keys
+++ b/tests/misc/sort-debug-keys
@@ -300,8 +300,8 @@ _____
 ___________________
 EOF

-(
 if test "$LOCALE_FR_UTF8"; then
+  (
   echo "   1²---++3   1,234  Mi" |
     LC_ALL=C sort --debug -k2g -k1b,1
   echo "   1²---++3   1,234  Mi" |
@@ -309,9 +309,8 @@ if test "$LOCALE_FR_UTF8"; then
   echo "+1234 1234Gi 1,234M" |
     LC_ALL=$LOCALE_FR_UTF8 sort --debug -k1,1n -k1,1g \
     -k1,1h -k2,2n -k2,2g -k2,2h -k3,3n -k3,3g -k3,3h
+  ) > out
+  compare out exp || fail=1
 fi
-) > out
-
-compare out exp || fail=1

 Exit $fail